Subject: Re: FW: why we need sequences of timestamps

From: Peter Sylvester <[email-masked]>
Date: Mon, 5 Apr 2004 12:17:17 +0200 (MEST)

> 
> The signature has become worthless. It is only of value, if it is provable
> that it existed before 2007. What can the hospital do to be able to convince
> a judge?  Which method should it adopt?  How can LTANS help the hospital?
> 

An archive system that answers to a client (the hosptal) that is has
taken the responsiblity of the data at some indicated time. When
the client store the data, the inspect the answer and check whether
the time is close to current. 

An archive server can link together all attestations and one
can require that all indicated dates are conformant to the linking.
In this way, a server cannot create an attestation that is earlier
than the last created one. An auditing entity or any other client
can obtain 'pseudo attestations' from the archive server at
regular times or totally randomly and verify that the times are
acceptable. 

We are not in a situation where accurany of milliseconds is required,
just days.